local BZ = AceLibrary("Babble-Zone-2.2")
local tourist = AceLibrary("Tourist-2.0")

function TuiRaidTracker:ZONE_CHANGED_NEW_AREA()
    local zone = GetRealZoneText() 
    
    if tourist:IsInstance(zone) then
        zone = BZ:GetReverseTranslation(zone)
        if self.cr.lastzone ~= zone then
            self:Debug("NewZone", zone)
            table.insert(self.cr.zones, { time(), zone })
            self.cr.lastzone = zone
            self:UpdateDisplay()
        end
    end
end

function TuiRaidTracker:Id2Zone(zone)
    if not zone then return "" end
    return BZ:GetTranslation(zone)
end